博主信息
書聲的博客
博文
35
粉絲
2
評論
0
訪問量
21337
積分:0
P豆:91

CentOS 7 安裝Docker

2020年01月10日 16:48:43閱讀數:582博客 / 書聲的博客 / Linux學習之路

CentOS Docker 安裝CentOS Docker 安裝

Docker 支持以下的 64 位 CentOS 版本:

CentOS 7
CentOS 8
更高版本…
該 centos-extras 庫必須啟用。默認情況下,此倉庫是啟用的,但是如果已禁用它,則需要重新啟用它。

建議使用 overlay2 存儲驅動程序。

卸載舊版本

較舊的 Docker 版本稱為 docker 或 docker-engine 。如果已安裝這些程序,請卸載它們以及相關的依賴項。

  1. $ sudo yum remove docker \
  2. docker-client \
  3. docker-client-latest \
  4. docker-common \
  5. docker-latest \
  6. docker-latest-logrotate \
  7. docker-logrotate \
  8. docker-engine

安裝 Docker Engine-Community安裝 Docker Engine-Community

使用 Docker 倉庫進行安裝
在新主機上首次安裝 Docker Engine-Community 之前,需要設置 Docker 倉庫。之后,您可以從倉庫安裝和更新 Docker。

設置倉庫

安裝所需的軟件包。yum-utils 提供了 yum-config-manager ,并且 device mapper 存儲驅動程序需要 device-mapper-persistent-data 和 lvm2。

  1. $ sudo yum install -y yum-utils \
  2. device-mapper-persistent-data \
  3. lvm2

使用以下命令來設置穩定的倉庫。

  1. $ sudo yum-config-manager \
  2. --add-repo \
  3. https://download.docker.com/linux/centos/docker-ce.repo

安裝 Docker Engine-Community
安裝最新版本的 Docker Engine-Community 和 containerd,或者轉到下一步安裝特定版本:

  1. $ sudo yum install docker-ce docker-ce-cli containerd.io

如果提示您接受 GPG 密鑰,請選是。

有多個 Docker 倉庫嗎?

如果啟用了多個 Docker 倉庫,則在未在 yum install 或 yum update 命令中指定版本的情況下,進行的安裝或更新將始終安裝最高版本,這可能不適合您的穩定性需求。
Docker 安裝完默認未啟動。并且已經創建好 docker 用戶組,但該用戶組下沒有用戶。

要安裝特定版本的 Docker Engine-Community,請在存儲庫中列出可用版本,然后選擇并安裝:

1、列出并排序您存儲庫中可用的版本。此示例按版本號(從高到低)對結果進行排序。

  1. $ yum list docker-ce --showduplicates | sort -r

2、通過其完整的軟件包名稱安裝特定版本,該軟件包名稱是軟件包名稱(docker-ce)加上版本字符串(第二列),從第一個冒號(:)一直到第一個連字符,并用連字符(-)分隔。例如:docker-ce-18.09.1。

  1. $ sudo yum install docker-ce-<VERSION_STRING> docker-ce-cli-<VERSION_STRING> containerd.io

啟動 Docker。

  1. $ sudo systemctl start docker

通過運行 hello-world 映像來驗證是否正確安裝了 Docker Engine-Community 。

  1. $ sudo docker run hello-world

全部評論

文明上網理性發言,請遵守新聞評論服務協議

條評論
暫無評論暫無評論!
  • 3d试机号绕胆图